hardware-toolboxes-post-one¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
25090787814Source SHA:
444376867c764658b4ed0286bc44ff0ac8c80995Module:
hardwareDocumentation Scope:
asyncLambda:
jef-hardware-post-10
Endpoint¶
API Name:
jef-hardwareAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/hardware-toolboxes-post-oneComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-post-10curl payload mode:
json_body
API Gateway Description¶
Function: jef-hardware-post-10
Module: jef-hardware
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /hardware-toolboxes-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-hardware-toolboxes
Payload Example:
- pk: TBX-0001
- gsi_1_pk: BOX-0001
- gsi_1_sk: 2026-04-24T10:00:00+08:00
- toolbox_code: BOX-0001
- toolbox_name: Rotary Hammer Set A
- equipment_name: Rotary Hammer Drill
- category: Power Tools
- included_items[0]: Carry Case
- included_items[1]: 2 Drill Bits
- included_items[2]: Depth Gauge
- included_items[3]: Side Handle
- daily_rate: 800
- status: AVAILABLE
- updated_at: 2026-04-24T10:00:00+08:00
Payload Schema:
- pk: string-{toolbox_number}
- gsi_1_pk: string-{entity_number}
- gsi_1_sk: string-{toolbox_number}
- toolbox_number: string
- entity_number: string
- toolbox_code: string
- toolbox_name: string
- equipment_name: string
- category: string
- included_items[0]: string
- daily_rate: number
- status: string
- updated_at: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "TBX-0001",
"gsi_1_pk": "BOX-0001",
"gsi_1_sk": "2026-04-24T10:00:00+08:00",
"toolbox_code": "BOX-0001",
"toolbox_name": "Rotary Hammer Set A",
"equipment_name": "Rotary Hammer Drill",
"category": "Power Tools",
"included_items[0]": "Carry Case",
"included_items[1]": "2 Drill Bits",
"included_items[2]": "Depth Gauge",
"included_items[3]": "Side Handle",
"daily_rate": "800",
"status": "AVAILABLE",
"updated_at": "2026-04-24T10:00:00+08:00"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"TBX-0001\", \"gsi_1_pk\": \"BOX-0001\", \"gsi_1_sk\": \"2026-04-24T10:00:00+08:00\", \"toolbox_code\": \"BOX-0001\", \"toolbox_name\": \"Rotary Hammer Set A\", \"equipment_name\": \"Rotary Hammer Drill\", \"category\": \"Power Tools\", \"included_items\": [\"Carry Case\", \"2 Drill Bits\", \"Depth Gauge\", \"Side Handle\"], \"daily_rate\": 800, \"status\": \"AVAILABLE\", \"updated_at\": \"2026-04-24T10:00:00+08:00\"}"
PowerShell curl¶
curl.exe -X POST "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "TBX-0001", "gsi_1_pk": "BOX-0001", "gsi_1_sk": "2026-04-24T10:00:00+08:00", "toolbox_code": "BOX-0001", "toolbox_name": "Rotary Hammer Set A", "equipment_name": "Rotary Hammer Drill", "category": "Power Tools", "included_items": ["Carry Case", "2 Drill Bits", "Depth Gauge", "Side Handle"], "daily_rate": 800, "status": "AVAILABLE", "updated_at": "2026-04-24T10:00:00+08:00"}'